package main

import (
	"bytes"
	_ "embed"
	"fmt"
	"html/template"
)

//go:embed html/index.html
var html string

//go:embed html/style.css
var css string

type Model struct {
	Style string
}

func main() {
	model := Model{
		Style: css,
	}

	funcs := template.FuncMap{
		"safeCss": func(s string) template.CSS {
			return template.CSS(s)
		},
	}
	template, err := template.New("index").Funcs(funcs).Parse(html)
	if err != nil {
		panic(err)
	}

	var output bytes.Buffer
	err = template.Execute(&output, model)
	if err != nil {
		panic(err)
	}

	fmt.Printf("%s\n", output.String())
}
